Task # 19672 (New): 暫定eSIM投入ツール

Bug # 19674 (Resolved): Issues on 暫定eSIM投入ツール 2nd

[QA]  MMP転入オーダーのAladin自動連携に必ず失敗する。

07/04/2023 08:34 AM - Daisuke Tajima

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Seongmin Choi   

Type:  バグ要因:  

Description

営業からの指摘事項です。

現象 : MMP転入オーダーのAladin自動連携に必ず失敗し、手動開通している。

原因 : 性別をcorp指定してCSV配置しているにも関わらず、provisioning.mnp_portin_detailsのbirthdayに処理日がセットされる為。

          結果、aladin-api連携で生年月日エラー判定される。

投入CSVデータ: 

22847,2023/06/26,mnp

89033023427100000000027102955805,NT-EGDVC-20,09055627275,1133319106,2023/06/27,株式会社月香,カブシキガイシャゲッコウ

,corp,

89033023427100000000027113886056,NT-EGDVC-20,09049651207,1133313392,2023/06/27,株式会社月香,カブシキガイシャゲッコウ

,corp,

テスト環境のテスト時、Adminから手動開通していた為、検出できませんでした。

(Aladin-API連携してもオールOKなので、request jsonを確認しないと検出は困難でした。)

History

#1 - 07/05/2023 08:10 AM - Seongmin Choi

- Status changed from New to Resolved

性別をcorp指定した場合は生年月日がNULLになれるよう修正しました。

ご確認をお願いします。

#2 - 07/06/2023 09:04 AM - Takeshi Sasamori

- % Done changed from 0 to 100

- Status changed from Resolved to Closed

- File picture803-1.png added

テスト実施。
Aladinbe実行にて生年月日は受け渡されず正常にAladin開通できているものと思います。

・provisioning.mnp_portin_details

　　birthday = null

・provisioning.aladin_api_log
　　api_req_jsonに"MNPseinengappi"なし

・Provisioning開通履歴画面にも生年月日表示なし（スクショ添付）

クローズします。

Files
